package dev.shadowsoffire.apotheosis.ench.objects;

package .var.folders.cl.9twcgjfx4vsg5zl73c6wxmvm0000gn.T;

import dev.shadowsoffire.apotheosis.Apoth;
import dev.shadowsoffire.apotheosis.ench.api.IEnchantingBlock;
import dev.shadowsoffire.apotheosis.ench.objects.TypedShelfBlock;
import java.util.function.Supplier;
import net.minecraft.core.BlockPos;
import net.minecraft.world.level.LevelReader;
import net.minecraft.world.level.block.state.BlockBehaviour;
import net.minecraft.world.level.block.state.BlockState;

public class TreasureShelfBlock extends TypedShelfBlock implements IEnchantingBlock {
  public TreasureShelfBlock(BlockBehaviour.Properties props) {
    super(props, (Supplier)Apoth.Particles.ENCHANT_SCULK);
  }
  
  public boolean allowsTreasure(BlockState state, LevelReader world, BlockPos pos) {
    return true;
  }
  
  public float getQuantaBonus(BlockState state, LevelReader world, BlockPos pos) {
    return -10.0F;
  }
  
  public float getArcanaBonus(BlockState state, LevelReader world, BlockPos pos) {
    return 10.0F;
  }
}
